## sparql-wrapper-python 1.6.0

=== Makefile ===
# SPARQLWrapper Makefile

NAME=SPARQLWrapper
DESTDIR =
DOCDIR=doc
PYTHON=python

doc:	clean
	mkdir -p $(DOCDIR)
	epydoc -v -n $(NAME) -o $(DOCDIR) --html SPARQLWrapper

clean:
	rm -rf $(DOCDIR)

## sparql-wrapper-python 1.4.1

=== debian/changelog ===
sparql-wrapper-python (1.4.1-2) unstable; urgency=low

  * Acknowledge NMU. Merci, Olivier.
  * Orphaned.
   + Set maintainer to Debian QA Group <packages@qa.debian.org>

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 18:45:02 +0000

sparql-wrapper-python (1.4.1-1.2) unstable; urgency=medium

  * NMU : Change fixed version requirement on rdflib for similar reasons
    as in #731411.

 -- Olivier Berger <obergix@debian.org>  Wed, 11 Dec 2013 15:35:57 +0100

sparql-wrapper-python (1.4.1-1.1) unstable; urgency=low

  * NMU : just rebuild with Python 2.7 which removes fixed dependency on
    simplejson 2.0.9 in SPARQLWrapper-1.4.1.egg-info/requires.txt that was
    just needed until Python 2.5 (Closes: #731411).

 -- Olivier Berger <obergix@debian.org>  Wed, 11 Dec 2013 12:06:39 +0100

sparql-wrapper-python (1.4.1-1) unstable; urgency=low

  * New upstream release. 
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control
   + Update standards-Version to 3.8.4 (no changes).

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 13 Apr 2010 16:40:33 +0200

sparql-wrapper-python (1.3.2-1) unstable; urgency=low

  * New upstream release (closes: #526026). 
  * debian/control
   + Update standards-Version to 3.8.3 (no changes).

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 22 Sep 2009 17:39:28 +0200

sparql-wrapper-python (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + b-d: Drop quilt, no longer needed.
   + Set Standards-Version to 3.8.0 (no changes).
  * Remove debian/patches

 -- Nacho Barrientos Arias <nacho@debian.org>  Wed, 23 Jul 2008 12:45:18 +0200

sparql-wrapper-python (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #469980)

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 24 Mar 2008 16:27:57 +0100

=== debian/control ===
Source: sparql-wrapper-python
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), python-support (>= 0.6), python-setuptools
Standards-Version: 3.8.4
Homepage: http://sparql-wrapper.sourceforge.net/

Package: python-sparqlwrapper
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-rdflib, python-simplejson
Provides: ${python:Provides}
Description: SPARQL endpoint interface to Python
 This is a wrapper around a SPARQL service. It helps in 
 creating the query URI and, possibly, convert the 
 result into a more manageable format.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)

configure: configure-stamp
configure-stamp: 
	dh_testdir
	touch $@

build: configure-stamp build-stamp 

build-stamp:
	dh_testdir
	python setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	rm -rf ez_setup.pyc SPARQLWrapper.egg-info
	dh_clean 

install: build-stamp 
	dh_testdir
	dh_testroot
	python setup.py install --no-compile --root=$(CURDIR)/debian/$(PACKAGE)

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog.txt
	dh_installdocs
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sparql-wrapper-python 1.6.0

=== debian/changelog ===
sparql-wrapper-python (1.6.0-2) unstable; urgency=low

  * Uploading to unstable.
  * Only pass tests once, and only for Python2 so far.

 -- Olivier Berger <obergix@debian.org>  Sun, 25 May 2014 07:37:30 +0200

sparql-wrapper-python (1.6.0-1) experimental; urgency=low

  * New upstream release

 -- Olivier Berger <obergix@debian.org>  Sat, 17 May 2014 19:02:57 +0200

sparql-wrapper-python (1.5.2-2) unstable; urgency=medium

  * Uploading to unstable same package previously uploaded to
    experimental's (1.5.2-1), now that 1.4.1-2 has transitioned to
    testing.

 -- Olivier Berger <obergix@debian.org>  Thu, 09 Jan 2014 13:13:36 +0100

sparql-wrapper-python (1.5.2-1) experimental; urgency=medium

  * New upstream version (Closes: #731361).
  * Adopted (obergix), as part of DPMT.

 -- Olivier Berger <obergix@debian.org>  Mon, 30 Dec 2013 15:53:30 +0100

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1
# export NOSE_VERBOSE=2

export PYBUILD_NAME=sparqlwrapper

# copy the tests to the build dir to be able to pass nose
export PYBUILD_AFTER_BUILD=cp -r test {build_dir}
export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_DISABLE_python3=test \
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir} && nosetests" \
	dh_auto_test --buildsystem=pybuild

## sparql-wrapper-python 1.6.4

=== debian/changelog ===
sparql-wrapper-python (1.6.4-0ubuntu1) utopic; urgency=medium

  * New upstream version.
  * Run the tests for python3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2014 15:15:17 +0200

=== debian/control ===
Source: sparql-wrapper-python
Section: python
Priority: optional
Maintainer: Olivier Berger <obergix@debian.org>
Uploaders:  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://rdflib.github.io/sparqlwrapper/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sparqlwrapper/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sparqlwrapper/trunk/

Package: python-sparqlwrapper
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: SPARQL endpoint interface to Python (Python 2)
 This is a wrapper around a SPARQL service. It helps in 
 creating the query URI and, possibly, convert the 
 result into a more manageable format.
 .
 This is the Python 2 version of the package.

Package: python3-sparqlwrapper
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: SPARQL endpoint interface to Python (Python 3)
 This is a wrapper around a SPARQL service. It helps in 
 creating the query URI and, possibly, convert the 
 result into a more manageable format.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,11 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {build_dir} && nosetests" \
 	dh_auto_test --buildsystem=pybuild
+
+	PYBUILD_BEFORE_TEST='cp -r {dir}/test {build_dir}'
+	PYBUILD_BEFORE_TEST_python3='cp -r {dir}/test {build_dir}; 2to3 -w {build_dir}/test' \
+	PYBUILD_AFTER_TEST='rm -rf {build_dir}/test' \
+	PYBUILD_DISABLE_python2=test \
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_TEST_ARGS="cd {build_dir} && nosetests3" \
+	dh_auto_test --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?\.?(\d\S*)\.tar\.gz/sparqlwrapper-$1\.tar\.gz/ \
  https://github.com/RDFLib/sparqlwrapper/tags .*/v?\.?(\d\S*)\.tar\.gz

## sparql-wrapper-python 1.7.6

=== debian/changelog ===
sparql-wrapper-python (1.7.6-2) unstable; urgency=medium

  * Demote keepalive to extra requirement (new patch, closes: #846871)

 -- Christian M. Amsüss <chrysn@fsfe.org>  Mon, 05 Dec 2016 19:32:51 +0100

sparql-wrapper-python (1.7.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * Use DPMT as maintainer and real persons as Uploaders
  * Enhance short description

  [ Christian M. Amsüss ]
  * New upstream release (Closes: #761177)
  * Refresh copyright file.
  * Run tests with python3 too (Closes: #761186)
  * Drop pybuild nosetests workarounds
  * Update standards-version to 3.9.8 (no changes)
  * Update debhelper version to 10

 -- Christian M. Amsüss <chrysn@fsfe.org>  Tue, 08 Nov 2016 15:23:39 +0100

=== debian/control ===
Source: sparql-wrapper-python
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Olivier Berger <obergix@debian.org>,
           Christian M. Amsüss <chrysn@fsfe.org>
Build-Depends: debhelper (>= 10), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools, python-nose, python3-nose
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sparqlwrapper.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sparqlwrapper.git
Homepage: http://rdflib.github.io/sparqlwrapper/

Package: python-sparqlwrapper
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: SPARQL endpoint interface to Python
 This is a wrapper around a SPARQL service. It helps in 
 creating the query URI and, possibly, convert the 
 result into a more manageable format.
 .
 This is the Python 2 version of the package.

Package: python3-sparqlwrapper
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: SPARQL endpoint interface to Python3
 This is a wrapper around a SPARQL service. It helps in 
 creating the query URI and, possibly, convert the 
 result into a more manageable format.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1
# export NOSE_VERBOSE=2

export PYBUILD_NAME=sparqlwrapper

# copy the tests to the build dir to be able to pass nose
export PYBUILD_AFTER_BUILD=cp -r test {build_dir}
export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# sed command is a custom hack that's also present in upstream's run_tests_py3.sh script
	PYBUILD_BEFORE_TEST_python3='cp -r {dir}/test {build_dir}; 2to3 -w {build_dir}/test; sed -i.sedbak -e "s/urllib2._opener/urllib.request._opener/g" {build_dir}/test/wrapper_test.py' \
	PYBUILD_AFTER_TEST='rm -rf {build_dir}/test' \
	dh_auto_test --buildsystem=pybuild

## sparql-wrapper-python 1.8.2

=== Makefile ===
# SPARQLWrapper Makefile

NAME=SPARQLWrapper
VERSION=`python -c "import SPARQLWrapper,sys;sys.stdout.write(SPARQLWrapper.__version__)";`
DESTDIR =
DOCDIR=doc

doc:	clean
	mkdir -p $(DOCDIR)
	epydoc -v -n "$(NAME) $(VERSION)" -o $(DOCDIR) --html SPARQLWrapper

clean:
	rm -rf $(DOCDIR)
	rm -rf build
	find . -name "*.pyc" -delete

=== requirements.txt ===
rdflib>=4.0

=== debian/changelog ===
sparql-wrapper-python (1.8.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * New release(s).
    Closes: Bug#921027.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout.

  [ Jonas Smedegaard ]
  * Drop patch 0001, adopted upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Feb 2019 15:57:58 +0100

sparql-wrapper-python (1.7.6-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control:
    + Set Vcs-* to salsa.debian.org.
    + Remove ancient X-Python-Version field.
    + Remove ancient X-Python3-Version field.
  * Convert git repository from git-dpm to gbp layout.

  [ Mattia Rizzolo ]
  * Run wrap-and-sort -ast.
  * Drop obsolete debian/pyversions.
  * d/control:
    + Remove Olivier Berger from uploaders, as he has retired.
      Thank you for your past contributions!  Closes: #917912
    + Bump debhelper compat level to 12.
    + Bump Standards-Version to 4.3.0.
      - Set Rules-Requires-Root:no.
    + Add Testsuite:autopkgtest-pkg-python.
  * Install the README and the examples also in the python3 package.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Jan 2019 11:07:53 +0100

sparql-wrapper-python (1.7.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the newly required build dependency on 2to3. (Closes: #884674)

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Apr 2018 22:14:52 +0300

=== debian/control ===
Source: sparql-wrapper-python
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christian M. Amsüss <chrysn@fsfe.org>,
Build-Depends:
 2to3,
 debhelper-compat (= 12),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-nose,
 python-setuptools,
 python3-all,
 python3-nose,
 python3-setuptools,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/sparql-wrapper-python.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sparql-wrapper-python
Homepage: http://rdflib.github.io/sparqlwrapper/
Testsuite: autopkgtest-pkg-python

Package: python-sparqlwrapper
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: SPARQL endpoint interface to Python
 This is a wrapper around a SPARQL service. It helps in
 creating the query URI and, possibly, convert the
 result into a more manageable format.
 .
 This is the Python 2 version of the package.

Package: python3-sparqlwrapper
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SPARQL endpoint interface to Python3
 This is a wrapper around a SPARQL service. It helps in
 creating the query URI and, possibly, convert the
 result into a more manageable format.
 .
 This is the Python 3 version of the package.

## sparql-wrapper-python 1.8.5

=== Makefile ===
# SPARQLWrapper Makefile

NAME=SPARQLWrapper
VERSION=`python -c "import SPARQLWrapper,sys;sys.stdout.write(SPARQLWrapper.__version__)";`
DESTDIR =
DOCDIR=docs

doc:	clean
	$(MAKE) -C ${DOCDIR} html

clean:
	$(MAKE) -C ${DOCDIR}  clean
	rm -rf build
	find . -name "*.pyc" -delete

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

buildapi:
	sphinx-apidoc -fMe ../SPARQLWrapper/ -o source/
	@echo "Auto-generation of SPARQLWrapper documentation finished. " \
	"The generated files are in 'source/'"

=== debian/changelog ===
sparql-wrapper-python (1.8.5-2) UNRELEASED; urgency=medium

  * update

 -- Debian Python Team <team+python@tracker.debian.org>  Thu, 16 Jun 2022 14:31:57 +0800

sparql-wrapper-python (1.8.5-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)
  * Do not use use_2to3 since it is deprecated
    Closes: #997652
  * Fix autopkgtest-pkg-python

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jan 2022 15:23:08 +0100

sparql-wrapper-python (1.8.5-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * New upstream version 1.8.5
  * Remove Python 2 support (Closes: #938523)
  * Remove patches already applied on upstream

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout.
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * complete removal of python2 support
  * debian/rules
    - skip tests, they require network access
  * debian/python3-sparqlwrapper.docs
    - install README.rst

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Mar 2020 02:33:25 -0400

=== debian/control ===
Source: sparql-wrapper-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christian M. Amsüss <chrysn@fsfe.org>,
Build-Depends:
 2to3,
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-nose,
 python3-setuptools,
 python3-rdflib
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/sparql-wrapper-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sparql-wrapper-python
Homepage: https://rdflib.github.io/sparqlwrapper/
Testsuite: autopkgtest-pkg-python

Package: python3-sparqlwrapper
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SPARQL endpoint interface to Python3
 This is a wrapper around a SPARQL service. It helps in
 creating the query URI and, possibly, convert the
 result into a more manageable format.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?\.?(\d\S*)\.tar\.gz/sparqlwrapper-$1\.tar\.gz/ \
  https://github.com/RDFLib/sparqlwrapper/tags .*/v?\.?(\d\S*)\.tar\.gz

## sparql-wrapper-python 2.0.0

=== requirements.txt ===
rdflib>=6.1.1

=== debian/changelog ===
sparql-wrapper-python (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Jun 2024 09:15:38 +0200

sparql-wrapper-python (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.0.0
  * Drop dependency on python3-nose (Closes: #1018640)
  * Use new dh-sequence-python3
  * Remove 2to3 build dependency & patch

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Jun 2024 14:43:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders:
  Christian M. Amsüss <chrysn@fsfe.org>,
 Build-Depends:
- 2to3,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-nose,
+ python3-pytest,
  python3-setuptools,
  python3-rdflib
 Standards-Version: 4.6.0
@@ -28,5 +27,3 @@
  This is a wrapper around a SPARQL service. It helps in
  creating the query URI and, possibly, convert the
  result into a more manageable format.
- .
- This is the Python 3 version of the package.

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1

export PYBUILD_NAME=sparqlwrapper

export PYBUILD_AFTER_BUILD=cp -r test {build_dir}
export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/test

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# tests need a remote server
	dh_auto_test || :
